package org.apache.mybatis.jpa.test;

import org.apache.mybatis.jpa.util.WebContext;
import org.junit.Test;
import org.maxkey.entity.SocialsAssociate;
import org.maxkey.persistence.service.SocialsAssociateOptService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.ApplicationContext;

public class SocialsAssociateServiceTest
{
    private static final Logger _logger = LoggerFactory.getLogger(SocialsAssociateServiceTest.class);

    public static ApplicationContext context;

    public static SocialsAssociateOptService service;

    public SocialsAssociateOptService getservice()
    {
        service = (SocialsAssociateOptService) WebContext.getBean("socialsAssociateService");
        return service;
    }

    @Test
    public void get() throws Exception{
        _logger.info("get...");
        SocialsAssociate accounts= service.get("626019447567548416");

        _logger.info("accounts "+accounts);

    }
}
